image: gitlab/dind:latest

deploy:
  before_script:
    - echo ${BASH_VERSION}
    #- exit
    # install stuff here
    - wget https://github.com/openshift/okd/releases/download/4.6.0-0.okd-2021-01-23-132511/openshift-client-linux-4.6.0-0.okd-2021-01-23-132511.tar.gz
    - tar xvf openshift-client-linux-4.6.0-0.okd-2021-01-23-132511.tar.gz
    - echo $PATH
    - mv oc /usr/local/sbin
    - oc version
  script:
    # do stuff here
    - docker build -t basic-php-docker-ci .
    # tag it
    - docker tag basic-php-docker-ci default-route-openshift-image-registry.apps.sandbox.x8i5.p1.openshiftapps.com/crt-90012895-code/basic-php-docker-ci:latest
    # push the image to oc registry
    # temp openshift env..
    - oc login --token=sha256~CGF3NFm2Y--l2qwt1LnzuHxVBiEXb5mECcRuokUxiC4 --server=https://api.sandbox.x8i5.p1.openshiftapps.com:6443
    # log in to oc registry
    - oc registry login
    # create the image stream
    #- oc create imagestream basic-php-docker-ci
    #- docker push pbsmultimedia/docker-ci-test:latest
    - docker push default-route-openshift-image-registry.apps.sandbox.x8i5.p1.openshiftapps.com/crt-90012895-code/basic-php-docker-ci:latest
    # docker push default-route-openshift-image-registry.apps.sandbox.x8i5.p1.openshiftapps.com/crt-90012895-code/basic-php-docker-ci:<tag>
    #- oc import-image pbsmultimedia/docker-ci-test:latest --from default-route-openshift-image-registry.apps.sandbox.x8i5.p1.openshiftapps.com/crt-90012895-code/basic-php-docker-ci:latest --confirm
    #- oc import-image default-route-openshift-image-registry.apps.sandbox.x8i5.p1.openshiftapps.com/crt-90012895-code/basic-php-docker-ci:latest
    - echo "test ok"
  only:
    - master
